Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.html.dom
Class HTMLTableColElementImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.NodeImpl
            |
            +--org.apache.xerces.dom.ChildNode
                  |
                  +--org.apache.xerces.dom.ChildAndParentNode
                        |
                        +--org.apache.xerces.dom.ElementImpl
                              |
                              +--org.apache.html.dom.HTMLElementImpl
                                    |
                                    +--org.apache.html.dom.HTMLTableColElementImpl

public final class HTMLTableColElementImpl
extends HTMLElementImpl
implements HTMLTableColElement

Version:
  $Revision: 1.2 $ $Date: 2000/02/10 04:00:12 $
See Also:
  `HTMLTableColElement`, `ElementImpl`, Serialized Form

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ChildAndParentNode
`firstChild, nodeListIndex, nodeListLength, nodeListNode, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, IGNORABLEWS, MUTATION_AGGREGATE, MUTATION_ALL, MUTATION_LOCAL, MUTATION_NONE, MUTATIONEVENTS, OWNED, ownerNode, READONLY, SETVALUE, SPECIFIED, SYNCCHILDREN, SYNCDATA`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`HTMLTableColElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`java.lang.String` | `getAlign()` Horizontal alignment of cell data in column.
`java.lang.String` | `getCh()` Alignment character for cells in a column.
`java.lang.String` | `getChOff()` Offset of alignment character.
`int` | `getSpan()` Indicates the number of columns in a group or affected by a grouping.
`java.lang.String` | `getVAlign()` Vertical alignment of cell data in column.
`java.lang.String` | `getWidth()` Default column width.
`void` | `setAlign(java.lang.String align)`
`void` | `setCh(java.lang.String ch)`
`void` | `setChOff(java.lang.String chOff)`
`void` | `setSpan(int span)`
`void` | `setVAlign(java.lang.String vAlign)`
`void` | `setWidth(java.lang.String width)`

Methods inherited from class org.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getDefaultAttributes, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setReadOnly, setupDefaultAttributes, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ChildAndParentNode
`getChildNodes, getFirstChild, getLastChild, getLength, getOwnerDocument, hasChildNodes, insertBefore, item, removeChild, replaceChild, synchronizeChildren, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, isSupported, removeEventListener, setNodeValue, setPrefix, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTMLTableColElementImpl

    public HTMLTableColElementImpl(HTMLDocumentImpl owner,
                                   java.lang.String name)

  Constructor requires owner document.
  Parameters:
    `owner` - The owner HTML document

Method Detail

### getAlign

    public java.lang.String getAlign()

  Description copied from interface: HTMLTableColElement
  Horizontal alignment of cell data in column. See the align attribute definition in HTML 4.0.
  Specified by:
    getAlign in interface HTMLTableColElement

### setAlign

    public void setAlign(java.lang.String align)

  Specified by:
    setAlign in interface HTMLTableColElement

### getCh

    public java.lang.String getCh()

  Description copied from interface: HTMLTableColElement
  Alignment character for cells in a column. See the char attribute definition in HTML 4.0.
  Specified by:
    getCh in interface HTMLTableColElement

### setCh

    public void setCh(java.lang.String ch)

  Specified by:
    setCh in interface HTMLTableColElement

### getChOff

    public java.lang.String getChOff()

  Description copied from interface: HTMLTableColElement
  Offset of alignment character. See the charoff attribute definition in HTML 4.0.
  Specified by:
    getChOff in interface HTMLTableColElement

### setChOff

    public void setChOff(java.lang.String chOff)

  Specified by:
    setChOff in interface HTMLTableColElement

### getSpan

    public int getSpan()

  Description copied from interface: HTMLTableColElement
  Indicates the number of columns in a group or affected by a grouping. See the span attribute definition in HTML 4.0.
  Specified by:
    getSpan in interface HTMLTableColElement

### setSpan

    public void setSpan(int span)

  Specified by:
    setSpan in interface HTMLTableColElement

### getVAlign

    public java.lang.String getVAlign()

  Description copied from interface: HTMLTableColElement
  Vertical alignment of cell data in column. See the valign attribute definition in HTML 4.0.
  Specified by:
    getVAlign in interface HTMLTableColElement

### setVAlign

    public void setVAlign(java.lang.String vAlign)

  Specified by:
    setVAlign in interface HTMLTableColElement

### getWidth

    public java.lang.String getWidth()

  Description copied from interface: HTMLTableColElement
  Default column width. See the width attribute definition in HTML 4.0.
  Specified by:
    getWidth in interface HTMLTableColElement

### setWidth

    public void setWidth(java.lang.String width)

  Specified by:
    setWidth in interface HTMLTableColElement

Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD